# -*- coding: utf-8 -*-
##############################################################################
#
#    Marketing campaign analytic.
#    Copyright (C) 2011 Florent Aide, <florent.aide@gmail.com>
#    Copyright (C) 2011 XCG Consulting (http://www.xcg-consulting.fr/)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv, fields

class board_analytic(osv.Model):
    """
        This class Inherits from board.board to override Create function
        to update graphs content when clicking the Update button
    """

    _name = 'board.board'
    _inherit = 'board.board'

    def board_update(self, cr, uid, id_, context=None):
        campaign_id = context.get('campaign_id', None)
        if campaign_id:
            self.pool.get('marketing_campaign_tracker.analytic').update_graphs(cr, uid, campaign_id, context=context)
        return 0

